From 9df069d70f8c9aeffffcf7254ebfdec85460faf5 Mon Sep 17 00:00:00 2001
From: Michael Paquier <michael@otacoo.com>
Date: Wed, 22 Jul 2015 10:24:17 +0900
Subject: [PATCH 2/2] Redirect installation output of make check into a log
 file

dbf2ec1a changed make check such as the installation logs get directed
to stdout and stderr, however some recent objections are proving that this
was a bad move. Hence put it back into a log file saved as tmp_install/log
which is created once per invocation of any make target doing regression
tests.
---
 src/Makefile.global.in | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/src/Makefile.global.in b/src/Makefile.global.in
index 8d1250d..e2f7211 100644
--- a/src/Makefile.global.in
+++ b/src/Makefile.global.in
@@ -307,9 +307,10 @@ temp-install:
 ifndef NO_TEMP_INSTALL
 ifeq ($(MAKELEVEL),0)
 	rm -rf '$(abs_top_builddir)'/tmp_install
-	$(MAKE) -C '$(top_builddir)' DESTDIR='$(abs_top_builddir)'/tmp_install install
+	$(MKDIR_P) '$(abs_top_builddir)'/tmp_install/log
+	$(MAKE) -C '$(top_builddir)' DESTDIR='$(abs_top_builddir)'/tmp_install install >'$(abs_top_builddir)'/tmp_install/log/install.log 2>&1
 endif
-	$(if $(EXTRA_INSTALL),for extra in $(EXTRA_INSTALL); do $(MAKE) -C '$(top_builddir)'/$$extra DESTDIR='$(abs_top_builddir)'/tmp_install install || exit; done)
+	$(if $(EXTRA_INSTALL),for extra in $(EXTRA_INSTALL); do $(MAKE) -C '$(top_builddir)'/$$extra DESTDIR='$(abs_top_builddir)'/tmp_install install >>'$(abs_top_builddir)'/tmp_install/log/install.log || exit; done)
 endif
 
 PROVE = @PROVE@
-- 
2.4.6

